IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[SPUSS_209_BEBEK_COCUK_IZLEM_KAYIT]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE SPUSS_209_BEBEK_COCUK_IZLEM_KAYIT
GO

CREATE PROCEDURE [dbo].[SPUSS_209_BEBEK_COCUK_IZLEM_KAYIT] 
	@HDOSYAID INT=0,
	@HMUAYENEID INT=0,
	@TUMUNUTEKRAR BIT = 0
	 	 
AS
BEGIN
	--SPUSS_209_BEBEK_COCUK_IZLEM_KAYIT 165788,115370,1
	DECLARE @HATA NVARCHAR(2000) = ''
	DECLARE @MESAJ NVARCHAR(2000) = ''
	DECLARE @SAYIHATA BIT = 0
	DECLARE @XMLBASLIK NVARCHAR(2000) = ''
	DECLARE @SUBEID INT = 1
	DECLARE @goNDERIMTABLOSU TABLE 
		(
			goNDERILECEKXML XML,
			HATA NVARCHAR(2000),
			MESAJ NVARCHAR(2000),	
			XMLBASLIK NVARCHAR(3500),
			TABLOID INT,
			MINID INT,
			MAXID INT
		)
	
	IF OBJECT_ID('tempdb..#TMPUSSDIGER') IS NOT NULL 
	DROP TABLE #TMPUSSDIGER


SELECT 
USS209.ID USS202_ID
,USS209.HDOSYAID
,USS209.HMUAYENEID
,USS209.HKIMLIKID
,USS209.HYATISID,
USS209.KRITIK_DKH_TARAMA_SONUCU KRITIK_DKH_TARAMA_SONUCU_ID,
TKRITIK_DKH_TARAMA_SONUCU.AD KRITIK_DKH_TARAMA_SONUCU_ADI,
BAS_CEVRESI,
USS209.DEMIR_LOJISTIGI_VE_DESTEGI DEMIR_LOJISTIGI_VE_DESTEGI_ID,
TDEMIR_LOJISTIGI_VE_DESTEGI.AD  DEMIR_LOJISTIGI_VE_DESTEGI_ADI,
DOGUM_AGIRLIGI,
USS209.D_VITAMINI_LOJISTIGI_VE_DESTEGI D_VITAMINI_LOJISTIGI_VE_DESTEGI_ID,
TD_VITAMINI_LOJISTIGI_VE_DESTEGI.AD D_VITAMINI_LOJISTIGI_VE_DESTEGI_ADI,
HEMATOKRIT,
HEMOGLOBIN,
USS209.KACINCI_IZLEM KACINCI_IZLEM_ID,
TKACINCI_IZLEM.AD KACINCI_IZLEM_ADI,
USS209.GKD_TARAMA_SONUCU GKD_TARAMA_SONUCU_ID,
TGKD_TARAMA_SONUCU.AD GKD_TARAMA_SONUCU_ADI,
USS209.GORME_TARAMA_SONUCU GORME_TARAMA_SONUCU_ID,
TGORME_TARAMA_SONUCU.AD GORME_TARAMA_SONUCU_ADI,
USS209.BEBEGIN_BESLENME_DURUMU BEBEGIN_BESLENME_DURUMU_ID,
TBEBEGIN_BESLENME_DURUMU.AD BEBEGIN_BESLENME_DURUMU_ADI,
USS209.NTP_TAKIP_BILGISI NTP_TAKIP_BILGISI_ID,
TNTP_TAKIP_BILGISI.AD NTP_TAKIP_BILGISI_ADI,
USS209.IZLEM_ISLEM_TURU IZLEM_ISLEM_TURU_ID,
TIZLEM_ISLEM_TURU.AD IZLEM_ISLEM_TURU_ADI,
BOY,
KILO,
USS209.KRITIK_DKH_TARAMA_SONRASI_ISLEM KRITIK_DKH_TARAMA_SONRASI_ISLEM_ID,
TKRITIK_DKH_TARAMA_SONRASI_ISLEM.AD KRITIK_DKH_TARAMA_SONRASI_ISLEM_ADI,
HDOSYA.SUBEID HDOSYA_SUBEID
	  ,SUBELER.SUBEADI SUBELER_SUBEADI
	  ,HDOSYA.SNOTAKIPNO HDOSYA_SNOTAKIPNO
	  ,		 ISNULL((SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND KEYNAME= CONVERT(VARCHAR,HDOSYA.SUBEID)+' numarali subede Yenidoğanların Kimliksiz fatura edilebilir gün sayısı'),'') 	AS SAGLIKNETKIMLIKSIZYENIDOGANGUN,

		CASE WHEN (SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND /* VALUESTR='1' AND*/ KEYNAME LIKE CONVERT(VARCHAR,HDOSYA.SUBEID)+' numaral% %ubede Sa%l%k Net Online test modu aktif')='1' THEN
			'10000038' 
		ELSE
			ISNULL((SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND KEYNAME= CONVERT(VARCHAR,HDOSYA.SUBEID)+' numaralı şubenin kurum numarası'),'') 
		END AS SAGLIKNETKURUMKODU,

			CASE WHEN (SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND /* VALUESTR='1' AND*/ KEYNAME LIKE CONVERT(VARCHAR,HDOSYA.SUBEID)+' numaral% %ubede Sa%l%k Net Online test modu aktif')='1' THEN
			'3bc26a7d-4a19-4edf-ab9f-1413ac85e7d0' /*TEST KTS FİRMA KODU*/
		ELSE
			'C740D0288ED4C45FE0407C0A04162BDD'  /*KTS TALYA*/ 
		END AS SNOKTSFIRMAKODU,

		ISNULL((SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND KEYNAME= CONVERT(VARCHAR,HDOSYA.SUBEID)+' numarali subede Hasta kayıt gönderiminde referans no ön Karakteri'),'') AS REFNOONEK




INTO #TMPUSSDIGER 

FROM USS209_BEBEK_COCUK_IZLEM_VERI_SETI USS209
INNER JOIN HDOSYA ON HDOSYA.HDOSYAID=USS209.HDOSYAID
LEFT JOIN HKIMLIK ON HKIMLIK.HKIMLIKID=HDOSYA.HKIMLIKID
LEFT JOIN	SUBELER ON SUBELER.SUBEID=HDOSYA.SUBEID
LEFT JOIN
(
SELECT 'SEVK EDİLDİ' AD,	1 ID
UNION ALL
SELECT 'EKO YAPILDI',	2

)TKRITIK_DKH_TARAMA_SONRASI_ISLEM ON TKRITIK_DKH_TARAMA_SONRASI_ISLEM.ID=USS209.KRITIK_DKH_TARAMA_SONRASI_ISLEM
LEFT JOIN
(
SELECT 'GERÇEK ZAMANLI' AS AD, 1 AS ID
UNION ALL
SELECT 'BEYANA DAYALI', 2
) TIZLEM_ISLEM_TURU ON TIZLEM_ISLEM_TURU.ID=USS209.IZLEM_ISLEM_TURU
LEFT JOIN 
(
SELECT 'TARAMA SONUCU NORMAL' AS AD, 1 AS ID
UNION ALL
SELECT 'BİYOTİNİDAZ EKSİKLİĞİ TANISI ALDI', 10
UNION ALL
SELECT 'KİSTİK FİBROZİS TANISI ALDI', 11
UNION ALL
SELECT 'KİSTİK FİBROZİS TAŞIYICISI TANISI ALDI', 12
UNION ALL
SELECT 'KONJENİTAL ADRENAL HİPERPLAZİ (KAH) TANISI ALDI', 13
UNION ALL
SELECT 'SEVK SONUCU KLİNİKTE HASTALIK SAPTANMADI', 14
UNION ALL
SELECT 'SMA TANISI ALDI', 15
UNION ALL
SELECT 'SMA TAŞIYICI TANISI ALDI', 16
UNION ALL
SELECT 'BEBEK ÖLDÜ', 2
UNION ALL
SELECT 'AİLE SEVKİ KABUL ETMİYOR', 3
UNION ALL
SELECT 'AİLE, AİLE HEKİMİ DEĞİŞTİRDİ', 4
UNION ALL
SELECT 'ONAM BELGESİ İLE AİLE KAN VERMEYİ REDDETTİ', 5
UNION ALL
SELECT 'TANILAMA SÜRECİNDE', 6
UNION ALL
SELECT 'FENİLKETONÜRİ TANISI ALDI', 7
UNION ALL
SELECT 'HİPERFENİLALANİNEMİ TANISI ALDI', 8
UNION ALL
SELECT 'KONJENİTAL HİPOTİROİDİ TANISI ALDI', 9

) TNTP_TAKIP_BILGISI ON TNTP_TAKIP_BILGISI.ID=USS209.NTP_TAKIP_BILGISI
LEFT JOIN
(
SELECT 'SADECE ANNE SÜTÜ ALIYOR' AS AD, 1 AS ID
UNION ALL
SELECT 'SADECE FORMÜL MAMA', 10
UNION ALL
SELECT 'SADECE EK GIDA', 11
UNION ALL
SELECT 'FORMÜL MAMA + EK GIDA', 12
UNION ALL
SELECT 'ANNE SÜTÜ OLMAYAN SÜT', 13
UNION ALL
SELECT 'ANNE SÜTÜ VE EK GIDA BİRARADA ALIYOR', 2
UNION ALL
SELECT 'ANNE SÜTÜ VE FORMÜL MAMA', 5
UNION ALL
SELECT 'ANNE SÜTÜ + EK GIDALAR + FORMÜL MAMA', 6
UNION ALL
SELECT 'ANNE SÜTÜ VE SU', 7
UNION ALL
SELECT 'ANNE SÜTÜ VE İÇİNDE SÜT OLMAYAN SIVILAR', 8
UNION ALL
SELECT 'ANNE SÜTÜ VE ANNE SÜTÜ OLMAYAN SÜT', 9

) TBEBEGIN_BESLENME_DURUMU ON TBEBEGIN_BESLENME_DURUMU.ID=USS209.BEBEGIN_BESLENME_DURUMU
LEFT JOIN 
(
SELECT 'GÖRME TARAMASI YAPILDI-SEVK EDILDI' AS AD, 1 AS ID
UNION ALL
SELECT 'GÖRME TARAMASI YAPILDI-NORMAL', 2
UNION ALL
SELECT 'GÖRME TARAMASI YAPILMADI-AILE ONAYI YOK', 3
UNION ALL
SELECT 'GÖRME TARAMASI YAPILMADI-SEVK EDILDI', 4
UNION ALL
SELECT 'SEVK SONUCU GÖZ/GÖRME NORMAL', 5
UNION ALL
SELECT 'SEVK SONUCU GÖZ/GÖRME PATOLOJIK', 6
) TGORME_TARAMA_SONUCU ON TGORME_TARAMA_SONUCU.ID=USS209.GORME_TARAMA_SONUCU
LEFT JOIN 
(
SELECT 'GKD USG NEGATİF' AS AD, 1 AS ID
UNION ALL
SELECT 'GKD USG POZİTİF', 2
UNION ALL
SELECT 'GKD TARAMA YAPILDI - SEVK EDİLDİ', 3
UNION ALL
SELECT 'GKD TARAMA YAPILDI - SEVK EDİLMEDİ', 4
UNION ALL
SELECT 'GKD TARAMA YAPILMADI - AİLE ONAYI YOK', 5
UNION ALL
SELECT 'GKD TARAMA YAPILMADI - SEVK EDİLDİ', 6
UNION ALL
SELECT 'AİLE SEVKİ GERÇEKLEŞTİRMEDİ', 7
) TGKD_TARAMA_SONUCU ON TGKD_TARAMA_SONUCU.ID=USS209.GKD_TARAMA_SONUCU
LEFT JOIN
(
SELECT '1.İZLEM (BEBEKTE)' AS AD, 1 AS ID
UNION ALL SELECT '10.İZLEM (ÇOCUKTA)', 10
UNION ALL SELECT '11.İZLEM (ÇOCUKTA)', 11
UNION ALL SELECT '12.İZLEM (ÇOCUKTA)', 12
UNION ALL SELECT '13.İZLEM (ÇOCUKTA)', 13
UNION ALL SELECT '14.İZLEM (ÇOCUKTA)', 14
UNION ALL SELECT '15.İZLEM (ÇOCUKTA)', 15
UNION ALL SELECT '16.İZLEM (ÇOCUKTA)', 16
UNION ALL SELECT '6. YAŞ İZLEM', 17
UNION ALL SELECT '7. YAŞ İZLEM', 18
UNION ALL SELECT '8.YAŞ İZLEM', 19
UNION ALL SELECT '2.İZLEM (BEBEKTE)', 2
UNION ALL SELECT '9.YAŞ İZLEM', 20
UNION ALL SELECT '10. YAŞ İZLEM', 21
UNION ALL SELECT '11. YAŞ İZLEM', 22
UNION ALL SELECT '12. YAŞ İZLEM', 23
UNION ALL SELECT '13. YAŞ İZLEM', 24
UNION ALL SELECT '14. YAŞ İZLEM', 25
UNION ALL SELECT '15. YAŞ İZLEM', 26
UNION ALL SELECT '16. YAŞ İZLEM', 27
UNION ALL SELECT '17. YAŞ İZLEM', 28
UNION ALL SELECT '18. YAŞ İZLEM', 29
UNION ALL SELECT '3.İZLEM (BEBEKTE)', 3
UNION ALL SELECT '19. YAŞ İZLEM', 30
UNION ALL SELECT '20. YAŞ İZLEM', 31
UNION ALL SELECT '21. YAŞ İZLEM', 32
UNION ALL SELECT '4.İZLEM (BEBEKTE)', 4
UNION ALL SELECT '5.İZLEM (BEBEKTE)', 5
UNION ALL SELECT '6.İZLEM (BEBEKTE)', 6
UNION ALL SELECT '7.İZLEM (BEBEKTE)', 7
UNION ALL SELECT '8.İZLEM (BEBEKTE)', 8
UNION ALL SELECT '9.İZLEM (BEBEKTE)', 9
UNION ALL SELECT 'PERFORMANS DIŞI İZLEM', 96
) TKACINCI_IZLEM  ON TKACINCI_IZLEM.ID=USS209.KACINCI_IZLEM

LEFT JOIN 
(
SELECT 'DEVAM EDILIYOR (ÜCRETSIZ VERILDI)' AS AD, 10 AS ID
UNION ALL
SELECT 'DEVAM EDILIYOR (ELINDE MEVCUT)', 11
UNION ALL
SELECT 'BAŞLANMADI (GEREK GÖRÜLMEDI VB.)', 12
UNION ALL
SELECT 'KULLANMIYOR (VERILDI AMA KULLANMIYOR)', 13
UNION ALL
SELECT 'YENI BAŞLANDI (REÇETE ILE)', 7
UNION ALL
SELECT 'YENI BAŞLANDI (ÜCRETSIZ VERILDI)', 8
UNION ALL
SELECT 'DEVAM EDILIYOR (REÇETE ILE)', 9
) TD_VITAMINI_LOJISTIGI_VE_DESTEGI ON TD_VITAMINI_LOJISTIGI_VE_DESTEGI.ID=USS209.D_VITAMINI_LOJISTIGI_VE_DESTEGI
LEFT JOIN 
(
--SELECT 'REÇETE İLE VERİLDİ' AD,	1 ID
--UNION ALL
SELECT 'KULLANMIYOR (VERILDI AMA KULLANMIYOR)' AD,	10 ID
UNION ALL
--SELECT 'ÜCRETSİZ VERİLDİ' AD,	2	ID
--UNION ALL
--SELECT 'BAŞLANMADI' AD,	3	ID
--UNION ALL
SELECT 'YENI BAŞLANDI (REÇETE ILE)' AD,	4	ID
UNION ALL
SELECT 'YENI BAŞLANDI (ÜCRETSIZ VERILDI)' AD,	5	ID
UNION ALL
SELECT 'DEVAM EDILIYOR (REÇETE ILE)' AD,	6	ID
UNION ALL
SELECT 'DEVAM EDILIYOR (ÜCRETSIZ VERILDI)' AD,	7	ID
UNION ALL
SELECT 'DEVAM EDILIYOR (ELINDE MEVCUT)' AD,	8	ID
UNION ALL
SELECT 'BAŞLANMADI (GEREK GÖRÜLMEDI VB.)' AD,	9	ID
)TDEMIR_LOJISTIGI_VE_DESTEGI ON TDEMIR_LOJISTIGI_VE_DESTEGI.ID=USS209.DEMIR_LOJISTIGI_VE_DESTEGI

LEFT JOIN 
(
SELECT 'TARAMA YAPILDI GEÇTİ' AD,	1 ID
UNION ALL
SELECT 'TARAMA YAPILDI KALDI' AD,	2 ID
UNION ALL
SELECT 'TARAMA YAPILMADI' AD,	3 ID
) TKRITIK_DKH_TARAMA_SONUCU ON TKRITIK_DKH_TARAMA_SONUCU.ID=USS209.KRITIK_DKH_TARAMA_SONUCU
			  	WHERE USS209.HMUAYENEID= @HMUAYENEID AND USS209.HDOSYAID = @HDOSYAID 


	IF (SELECT COUNT(*) FROM #TMPUSSDIGER) = 0 
	BEGIN
		SET @SAYIHATA = 1
		SET @MESAJ = @MESAJ + 'Gönderilecek kayıt bulunamadı! '
	END

	IF (SELECT COUNT(*) FROM #TMPUSSDIGER WHERE HDOSYA_SUBEID IS NULL) > 0 
		SET @HATA = @HATA + 'dosyasının şube kaydı bulunamadı! '

	IF (SELECT COUNT(*) FROM #TMPUSSDIGER WHERE ISNULL(HDOSYA_SNOTAKIPNO,'')='') > 0 
		SET @HATA = @HATA + 'Sağlık Net hasta takip numarası alınmadan USS sistemine kayIT yapılamaz. '

   	IF @HATA='' AND @SAYIHATA=0
	BEGIN		
		SELECT @SUBEID = HDOSYA_SUBEID FROM #TMPUSSDIGER
		DECLARE @TBLXMLBASLIK TABLE (XMLBASLIK NVARCHAR(2000), HATA NVARCHAR(2000),MESAJ NVARCHAR(2000))
		INSERT INTO @TBLXMLBASLIK (XMLBASLIK, HATA, MESAJ) EXEC SPUSS_000_XML_BASLIK @SUBEID		
		SELECT @HATA=HATA, @MESAJ=MESAJ, @XMLBASLIK=XMLBASLIK FROM @TBLXMLBASLIK		
	END



	IF @HATA='' AND @SAYIHATA=0
	BEGIN


		--HER TETKIK KARTI AYRI AYRI goNDER DONGUSU
   		DECLARE @CURUSSDIGERID INT
		DECLARE CURUSSDIGER CURSOR FOR SELECT USS202_ID FROM #TMPUSSDIGER
		OPEN CURUSSDIGER
		FETCH NEXT FROM CURUSSDIGER INTO @CURUSSDIGERID
		WHILE @@FETCH_STATUS =0
		BEGIN
		

	
					SET @HATA = ''
					SET @MESAJ = ''
					SET @SAYIHATA = 0

		
					 
					IF EXISTS(SELECT USS202_ID FROM #TMPUSSDIGER WHERE  ISNULL(USS202_ID,0)=0)
						SET @HATA = @HATA + ' ' + 'Kayıt seçilmemiş. '

                   /* IF EXISTS(SELECT USS202_ID FROM #TMPUSSDIGER WHERE  ISNULL(uss202 ASININ_DOZU_ID,0)=0)
						SET @HATA = @HATA + ' ' + 'Aşının dozu seçilmemiş. '

                    IF EXISTS(SELECT USS202_ID FROM #TMPUSSDIGER WHERE  ISNULL(ASI_ERTELEME_SURESI,'')='')
						SET @HATA = @HATA + ' ' + 'Aşının ertleme süresi girilmemiş. '

                   
				   IF EXISTS(SELECT USS202_ID FROM #TMPUSSDIGER WHERE  ISNULL(ACIK_ADRES,'')='')
						SET @HATA = @HATA + ' ' + 'Hasta Kimlik Kartında Ev Adresi Girilmemiş. '

                    IF EXISTS(SELECT USS202_ID FROM #TMPUSSDIGER WHERE  ISNULL(ASI_YAPILMAMA_NEDENI_ID,0)=0)
						SET @HATA = @HATA + ' ' + 'Aşının yapılmama nedeni seçilmemiş. '

                     IF EXISTS(SELECT USS202_ID FROM #TMPUSSDIGER WHERE  ISNULL(ASI_YAPILMA_ZAMANI,0)=0)
						SET @HATA = @HATA + ' ' + 'Aşının yapılma zamanı girilmemiş. '
							
					 IF EXISTS(SELECT USS202_ID FROM #TMPUSSDIGER WHERE  ISNULL(ALTTA_YATAN_HASTALIK_KODU,'')='')
						SET @HATA = @HATA + ' ' + 'Muayenede Icd Kod girilmemiş. '
						*/--kontroller eklenecek

					IF (SELECT COUNT(*) FROM #TMPUSSDIGER WHERE USS202_ID=@CURUSSDIGERID) > 0
					BEGIN
						IF @HATA = '' AND @SAYIHATA=0
						BEGIN
							BEGIN TRY 
								INSERT INTO @goNDERIMTABLOSU (goNDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
								SELECT							 
									(

										SELECT 
										   NEWID() AS 'messageGuid/@value',
										   '1' AS 'messageType/@version',
										   '0a9ba485-e7e0-4abb-9c86-0a14fd364bb8' as 'messageType/@codeSystemGuid',
										   '209' AS 'messageType/@code',
										   'Bebek / Cocuk Izlem Veri Seti' AS 'messageType/@value',
										   LEFT(REPLACE(REPLACE(REPLACE(CONVERT(VARCHAR(19),GETDATE(),120),' ',''),'-',''),':',''),12) as 'documentGenerationTime/@value',
										   (
											  SELECT	
												 '1' AS 'healthcareProvider/@version',
												 'c3eade04-4f91-5dab-e043-14031b0ac9f9' as 'healthcareProvider/@codeSystemGuid',
												 SAGLIKNETKURUMKODU as 'healthcareProvider/@code',
												 SUBELER_SUBEADI as 'healthcareProvider/@value'  
												 FOR XML PATH('author'), TYPE),
												 --'C740D0288ED4C45FE0407C0A04162BDD' as 'firmaKodu/@value' ,
												 SNOKTSFIRMAKODU as 'firmaKodu/@value' ,
												 (
													SELECT 
														(
														   SELECT 
															  (
																 SELECT 

																		'1' AS 'KRITIK_DKH_TARAMA_SONUCU/@version',
																		'e57b0379-a276-4bf5-88f2-fcea2d8a9b25' AS 'KRITIK_DKH_TARAMA_SONUCU/@codeSystemGuid',
																		ISNULL(KRITIK_DKH_TARAMA_SONUCU_ID,'')AS 'KRITIK_DKH_TARAMA_SONUCU/@code',
																		ISNULL(KRITIK_DKH_TARAMA_SONUCU_ADI,'') AS 'KRITIK_DKH_TARAMA_SONUCU/@value',

																		
																		CASE 
																			WHEN BAS_CEVRESI IS NULL THEN NULL
																			ELSE REPLACE(STR(BAS_CEVRESI, 6, 2), ' ', '')
																		END AS 'BAS_CEVRESI/@value',

																		'1' AS 'DEMIR_LOJISTIGI_VE_DESTEGI/@version',
																		'83c966d5-1054-451c-87c6-19a0e11b287b' AS 'DEMIR_LOJISTIGI_VE_DESTEGI/@codeSystemGuid',
																		ISNULL(DEMIR_LOJISTIGI_VE_DESTEGI_ID,'')AS 'DEMIR_LOJISTIGI_VE_DESTEGI/@code',
																		ISNULL(DEMIR_LOJISTIGI_VE_DESTEGI_ADI,'') AS 'DEMIR_LOJISTIGI_VE_DESTEGI/@value',

																
																		
																		 ISNULL(DOGUM_AGIRLIGI,'') 'DOGUM_AGIRLIGI/@value',


																		'1' AS 'D_VITAMINI_LOJISTIGI_VE_DESTEGI/@version',
																		'672986f8-5e0d-43a6-b417-37bdc59cd09b' AS 'D_VITAMINI_LOJISTIGI_VE_DESTEGI/@codeSystemGuid',
																		ISNULL(D_VITAMINI_LOJISTIGI_VE_DESTEGI_ID,'')AS 'D_VITAMINI_LOJISTIGI_VE_DESTEGI/@code',
																		ISNULL(D_VITAMINI_LOJISTIGI_VE_DESTEGI_ADI,'') AS 'D_VITAMINI_LOJISTIGI_VE_DESTEGI/@value',


																		CASE 
																			WHEN HEMATOKRIT IS NULL THEN NULL
																			ELSE REPLACE(STR(HEMATOKRIT, 6, 2), ' ', '')
																		END AS 'HEMATOKRIT/@value',
																		
																		CASE 
																			WHEN HEMOGLOBIN IS NULL THEN NULL
																			ELSE REPLACE(STR(HEMOGLOBIN, 6, 2), ' ', '')
																		END AS 'HEMOGLOBIN/@value',
																		
																		'1' AS 'KACINCI_IZLEM/@version',
																		'402e5a45-f723-4309-9cb8-686358dee75a' AS 'KACINCI_IZLEM/@codeSystemGuid',
																		ISNULL(KACINCI_IZLEM_ID,'')AS 'KACINCI_IZLEM/@code',
																		ISNULL(KACINCI_IZLEM_ADI,'') AS 'KACINCI_IZLEM/@value',

                                                                        '1' AS 'GKD_TARAMA_SONUCU/@version',
																		'03dee8e4-6d54-4009-9b53-84c11d302e14' AS 'GKD_TARAMA_SONUCU/@codeSystemGuid',
																		ISNULL(GKD_TARAMA_SONUCU_ID,'')AS 'GKD_TARAMA_SONUCU/@code',
																		ISNULL(GKD_TARAMA_SONUCU_ADI,'') AS 'GKD_TARAMA_SONUCU/@value',



																		'1' AS 'GORME_TARAMA_SONUCU/@version',
																		'bb174db7-75ea-4bd4-a3e9-cf2a908511cb' AS 'GORME_TARAMA_SONUCU/@codeSystemGuid',
																		ISNULL(GORME_TARAMA_SONUCU_ID,'')AS 'GORME_TARAMA_SONUCU/@code',
																		ISNULL(GORME_TARAMA_SONUCU_ADI,'') AS 'GORME_TARAMA_SONUCU/@value',

																		'1' AS 'BEBEGIN_BESLENME_DURUMU/@version',
																		'7f29ff54-3810-4875-9dda-01ac0d70fa21' AS 'BEBEGIN_BESLENME_DURUMU/@codeSystemGuid',
																		ISNULL(BEBEGIN_BESLENME_DURUMU_ID,'')AS 'BEBEGIN_BESLENME_DURUMU/@code',
																		ISNULL(BEBEGIN_BESLENME_DURUMU_ADI,'') AS 'BEBEGIN_BESLENME_DURUMU/@value',

																		'1' AS 'NTP_TAKIP_BILGISI/@version',
																		'b409d9c0-fe50-43e0-afab-889cf87a2855' AS 'NTP_TAKIP_BILGISI/@codeSystemGuid',
																		ISNULL(NTP_TAKIP_BILGISI_ID,'')AS 'NTP_TAKIP_BILGISI/@code',
																		ISNULL(NTP_TAKIP_BILGISI_ADI,'') AS 'NTP_TAKIP_BILGISI/@value',

																		'1' AS 'IZLEM_ISLEM_TURU/@version',
																		'5fff8778-89a4-4045-b33e-a7ffe0de0179' AS 'IZLEM_ISLEM_TURU/@codeSystemGuid',
																		ISNULL(IZLEM_ISLEM_TURU_ID,'')AS 'IZLEM_ISLEM_TURU/@code',
																		ISNULL(IZLEM_ISLEM_TURU_ADI,'') AS 'IZLEM_ISLEM_TURU/@value'



																		
																FROM #TMPUSSDIGER
																
																FOR XML PATH(''),TYPE
															),
															
															 (
																 SELECT 	
																	ISNULL(BOY,'') AS 'BOY/@value',
																	--ISNULL(KILO,'') AS 'KILO/@value'

																	CASE 
																			WHEN KILO IS NULL THEN NULL
																			ELSE REPLACE(STR(KILO, 6, 2), ' ', '')
																		END AS 'KILO/@value'

																
																FOR XML PATH('BOY_KILO_BILGILERI'),TYPE
															),
															 (
																 SELECT 	
																		'1' AS 'KRITIK_DKH_TARAMA_SONRASI_ISLEM/@version',
																		'6427f835-6b11-4c9e-8ca6-bc6677838cc4' AS 'KRITIK_DKH_TARAMA_SONRASI_ISLEM/@codeSystemGuid',
																		ISNULL(KRITIK_DKH_TARAMA_SONRASI_ISLEM_ID,'')AS 'KRITIK_DKH_TARAMA_SONRASI_ISLEM/@code',
																		ISNULL(KRITIK_DKH_TARAMA_SONRASI_ISLEM_ADI,'') AS 'KRITIK_DKH_TARAMA_SONRASI_ISLEM/@value'
																FROM #TMPUSSDIGER
																
																FOR XML PATH('KRITIK_DKH_TARAMA_SONRASI_ISLEM_BILGISI'),TYPE
															)

														FOR XML PATH('BEBEK_COCUK_IZLEM_VERI_SETI'),TYPE
													),					
													   (
														SELECT ISNULL(HDOSYA_SNOTAKIPNO, '' ) AS 'SYSTakipNo/@value'
														FOR XML PATH('HASTA_TAKIP_BILGISI'), TYPE 
													)							
												 FOR XML PATH('recordData'), TYPE
											  )
										   FROM #TMPUSSDIGER WITH(NOLOCK)
										   WHERE USS202_ID = @CURUSSDIGERID
										FOR XML PATH (''), ROOT('SYSMessage')


									) AS goNDERILECEKXML,
									@HATA AS HATA, 
									@MESAJ AS MESAJ,
									@XMLBASLIK AS XMLBASLIK,
									@CURUSSDIGERID AS TABLOID,
									0 AS MINID,
									0 AS MAXID

							END TRY
							BEGIN CATCH
								SET @HATA = ERROR_MESSAGE()
								IF @HATA = ''
									SET @HATA = 'Bilinmeyen bir hata oluştu'

								INSERT INTO @goNDERIMTABLOSU (goNDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
								SELECT	'' AS goNDERILECEKXML,
										@HATA AS HATA, 
										@MESAJ AS MESAJ,
										'' AS XMLBASLIK,
										@CURUSSDIGERID AS TABLOID,
										0 AS MINID,
										0 AS MAXID
			

							END CATCH
						END
						ELSE
						BEGIN

							INSERT INTO @goNDERIMTABLOSU (goNDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
							SELECT	'' AS goNDERILECEKXML,
									LEFT(@HATA,2000) AS HATA, 
									@MESAJ AS MESAJ,
									'' AS XMLBASLIK,
									@CURUSSDIGERID AS TABLOID,
									0 AS MINID,
									0 AS MAXID

							SET @HATA = ''		 
						END
					END




		FETCH NEXT FROM CURUSSDIGER INTO @CURUSSDIGERID 
		END --son HER TETKIK KARTI AYRI AYRI goNDER DONGUSU
	

		CLOSE CURUSSDIGER
		DEALLOCATE CURUSSDIGER

		IF (SELECT COUNT(*) FROM @GONDERIMTABLOSU)=0
			INSERT INTO @GONDERIMTABLOSU (GONDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
			SELECT	'' AS GONDERILECEKXML,
					'' AS HATA, 
					'Tüm KAYITLAR zaten gönderilmiş' AS MESAJ,
					'' AS XMLBASLIK,
					0 AS TABLOID,
					0 AS MINID,
					0 AS MAXID


	END
	ELSE
	BEGIN

		INSERT INTO @goNDERIMTABLOSU (goNDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
		SELECT	'' AS goNDERILECEKXML,
				LEFT(@HATA,2000) AS HATA, 
				@MESAJ AS MESAJ,
				'' AS XMLBASLIK,
				@CURUSSDIGERID AS TABLOID,
				0 AS MINID,
				0 AS MAXID

		SET @HATA = ''		 
	END


	
	IF OBJECT_ID('tempdb..#TMPUSSDIGER') IS NOT NULL 
	DROP TABLE #TMPUSSDIGER

	

	SELECT * FROM @goNDERIMTABLOSU


END
